#!/bin/sh
# ----------------------------------------------------------------------
# t1.size.sh
#
#	Show the current size of pgbench_history.
# ----------------------------------------------------------------------

DBNAME=test_autovacuum
DBUSER=wieck
DBHOST=localhost
DBPORT=54393

DBHPU="-h $DBHOST -p $DBPORT -U $DBUSER"


BLOCKS=`psql $DBHPU -qtA -c "select pg_table_size('pgbench_history') / 8192;" $DBNAME`
echo "history has $BLOCKS blocks (`expr \( $BLOCKS + 64 \) / 128` MB)"
